# Ansible automation repo for kali linux VMs
# Usage
All necessary commands are included in the `install.sh` script. So, on a fresh Kali VM, do
```
git clone https://gitea.a-0.me/philip/kali-autosetup.git
cd kali-autosetup
sudo bash install.sh
```
Make sure to visit https://check.torproject.org afterwards to verify you are connected via the Tor network.

# Current functionality
- System settings
    - set keyboard layout (default: de)
    - set screen resolution (default: FullHD)
- Default gateway via TOR network
    - Transparent proxy for TCP traffic
    - Redirecting DNS queries through TOR
    - Any other traffic is dropped.

# Future functionality
A lot.